#!/bin/sh
cd $(cd "$(dirname "$0")";pwd)

CURWDIR="$(cd $(dirname $0) && pwd)"
ORAYSL_PID=`ps -A | grep "oraysl" | grep -v 'grep' | awk '{print $1}'`
ORAYNEWPH_PID=`ps -A | grep "oraynewph" | grep -v 'grep' | awk '{print $1}'`
ORAYNEWPH_COMMAND="$CURWDIR/../bin/oraynewph -s 0.0.0.0 &"
ORAYSL_COMMAND="$CURWDIR/../bin/oraysl -a 127.0.0.1 -p 16062 -s phsle01.oray.net:80 -d"

echo $ORAYSL_PID
#echo $ORAYNEWPH_PID

checkoraysl(){
	ORAYSL_PID=`ps -A | grep "oraysl" | grep -v 'grep' | awk '{print $1}'`
	if [ -z "$ORAYSL_PID" ]; then
                $ORAYSL_COMMAND
                echo "oraysl started"
        fi
}
checkoraynewph(){
	ORAYNEWPH_PID=`ps -A | grep "oraynewph" | grep -v 'grep' | awk '{print $1}'`
     	if  [ -z "$ORAYNEWPH_PID" ]; then
               $ORAYNEWPH_COMMAND
                echo "oraynewph started"
        fi
}
while true
	do 
	checkoraysl  &
	checkoraynewph  &
	sleep 1
	done
