<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1" />
<title>花生壳动态域名（支持内网穿透，无需公网IP）</title>
<script type='text/javascript' src='img/jquery-1.7.2.js'></script>
<script type="text/javascript"></script>
<link rel="stylesheet" href="img/style.css">
</head>
<body>
<div class="header">
        <a href="http://hsk.oray.com/" class="logo" target="_blank"><img src="img/logo_hsk.png"></a>
</div>
<div class="container">
	<div class="hsk-box">
		<div class="title">
			全球用户量最大的动态域名服务提供商<br />
			（支持内网穿透，无需公网IP）
		</div>
		 <caption>
				<col width="40%;">
			<col>
		</caption>
		<table border="0" cellspacing="10" cellpadding="0" class="table-info" width="100%">
			<tr>
				<th align="center">状态 : </th>
				<td><span id="status"></td>
			</tr>
			<tr>
				<th align="center">SN码 : </th>
				<td><span id="sn"></td>
		</table>
		<div style="text-align:center;cursor:pointer;margin-top:30px;margin-bottom: 50px;">
			<a href="" id= login target="_blank" class="btn btn-primary">登陆管理</a>&nbsp;&nbsp;&nbsp;
			<a target="_blank"  style="width:100px" onClick="check()">重置</a>
		</div>
		</br>
		<ul class="clear">
			<a href="http://hsk.oray.com/case/" class="udl" target="_blank">
			<li><span class="icon-big ib-remote"></span><p>远程监控</p></li>
			<li><span class="icon-big ib-website"></span><p>建站</p></li>
			<li><span class="icon-big ib-vpn"></span><p>VPN</p></li>
			<li><span class="icon-big ib-ftp"></span><p>FTP</p></li>
			<li><span class="icon-big ib-oa"></span><p>办公OA</p></li>
			<li><span class="icon-big ib-more"></span><p>更多案例</p></li>
			</a>
		</ul>
        <div class="footer">
            <div style="text-align:left;float:left;color:#999;">
                官网 : </br><a href="http://www.oray.com/"  target="_blank" style="color:#999">www.oray.com</a>
            </div>
            <div style="text-align:left; float:left;  margin-left: 130px;color:#999;">
                社区 : </br><a href="http://bbs.oray.com/"  target="_blank" style="color:#999">bbs.oray.com</a>
            </div>    
            <div style="text-align:left; float:right;color:#999; ">
                售前热线 : </br>020-62219018
            </div>
        </div>		
	</div>
</div>

<script type='text/javascript'>
var refresh_timeout = 1000; // 3 seconds

var status_map =
{
   ONLINE:"在线",
   OFFLINE:"离线",
   RETRY:"重试",
};
function update_ui(config_data, init) {
  config_data = config_data || "";	
  config_data.replace(/([a-zA-Z0-9+-_~%@]+)=(.*)/ig, function(w, w2, w3, w4){
    var value = w3;
    var key = w2;
   
    if(key == "status") {
      value = status_map[value];
      document.getElementById(key).innerHTML  = value;
    }else if (key == "sn"){
          if(init){
          document.getElementById(key).innerHTML  = value;
		  document.getElementById("login").href="http://hsk.oray.com/bang/passport/login?sn="+$("#sn").html();
          }
    }else{
        var element = document.getElementById(key);
    if(element)
        element.innerHTML = value;
    }
    if(key == ""){
      isrun = value;
     }
 
  });
}
function check()
{
	var se = confirm("是否重置当前账户?");
	if (se == true)
	{
		$.ajax({
					  url:"getconfig.php?cmd=reset",
					  type:'post',
					  success:function(r){
					  if (r == "success")
					  {
						  alert  ("重置成功")
					  }else{
						  alert  ("重置失败或当前账户未登录")
					  }	
					}
		})
	}else{
	}
}
function update(init)
{
	return function() {
	  $.ajax({
                  url:"getconfig.php?cmd=get",
                  type:'GET',
                  success: function(r){
		  var isrun;

                  if (r) {
		         update_ui(r, init);
	                 }
		  if(!init) {
			setTimeout(update(init), refresh_timeout);  
		  }
		}
      });	
	};
}
window.onload=function() {
  update(true)();
  update(false)();
}

</script>
</body>
</html>

